Subject: Re: Problems compiling rsync with latest update
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 19 Sep 2001 01:22:29 +0200

Christopher Faylor schrieb am 2001-09-18, 18:49:

>On Wed, Sep 19, 2001 at 12:38:45AM +0200, Gerrit P. Haase wrote:
>>I found no ChangeLog entries which refer to a change
>>in <unistd.h>. Is it recorded somewhere else?
>
>2001-09-05  Corinna Vinschen  <[email-masked]>
>
>        * libc/sys/cygwin/include/unistd.h: New file, wrapping sys/unistd.h
>        and getopt.h.

Hmm, i've missed that, I've looked for unistd.h and getopt.h in my archive 
of cygwin-cvs-list and now I know the date I looked again, but this was not
reported to cygwin-cvs. 
Well, I removed getopt.h from unistd.h again for me. I have no problems to 
add an #include <getopt.h> sometimes, but I have a problem if make stops 
making because of a redefinition which in fact is a 'bug' in make, because 
if I define one thing two times, it is just the same one thing again.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/